#ifndef __LagrangeLaunchMFD_H
#define __LagrangeLaunchMFD_H


class LagrangeLaunchMFD: public GraphMFD {
public:
	LagrangeLaunchMFD (DWORD w, DWORD h, VESSEL *vessel);
	~LagrangeLaunchMFD ();
	bool ConsumeKeyBuffered (DWORD key);
	bool ConsumeButton (int bt, int event);
	char *ButtonLabel (int bt);
	bool SelectVessel(char *Name);
	bool SelectPO(char *PO_Alt);
	int  ButtonMenu (const MFDBUTTONMENU **menu) const;
	void Update (HDC hDC);
	void WriteStatus (FILEHANDLE scn) const;
	void ReadStatus (FILEHANDLE scn);
	//void opcPreStep (double SimT, double SimDT, double mjd);
	//void InitModule (HINSTANCE hDLL);
	static int MsgProc (UINT msg, UINT mfd, WPARAM wparam, LPARAM lparam);

	static void GetGbodData();
	void StoreStatus () const;
	void RecallStatus ();


	// transient parameter storage
	static struct SavePrm {
		int sp1;
		int sp2;
		int sp3;
		double sp4;
	//	double sp5;
	//	int sp6;
	//	int sp7;
	//	double sp8;
	} saveprm;
	


private:

///int status;
//int lp_tgt;
//double req_azimuth;
//double launch_time;

	
};

#endif //!__LagrangeLaunchMFD_H